

import java.io.*;
import java.util.*;

public class Empleado implements Serializable {
    private String nombre;
    private String apell1;
    private String apell2;
    private int edad;
    private int hijos;
    private String estado;
    private double sueldoBase;
    
    Empleado (String n, String a1, String a2, int ed, int h, String ec, double s){
        nombre = n;
        apell1 = a1;
        apell2 = a2;
        edad = ed;
        hijos = h;
        estado = ec;
        sueldoBase = s;
    }
    Empleado (DataInputStream ent) throws IOException {
        nombre = ent.readUTF();
        apell1 = ent.readUTF();
        apell2 = ent.readUTF();
        edad = ent.readInt();
        hijos = ent.readInt();
        estado = ent.readUTF();
        sueldoBase = ent.readDouble();
    }
    Empleado (String datos) {
        Scanner linea = new Scanner(datos);
        if (!linea.hasNext()) errorFormato();
        nombre = linea.next();
        if (!linea.hasNext()) errorFormato();
        apell1 = linea.next();
        if (!linea.hasNext()) errorFormato();
        apell2 = linea.next();
        if (!linea.hasNextInt()) errorFormato();
        edad = linea.nextInt();
        if (!linea.hasNextInt()) errorFormato();
        hijos = linea.nextInt();
        if (!linea.hasNext()) errorFormato();
        estado = linea.next();
        if (!linea.hasNextDouble()) errorFormato();
        sueldoBase = linea.nextDouble();
    }
    public double salario() {
        double s;
        s = (1 + 0.02 * hijos) * sueldoBase;
        if (estado.equalsIgnoreCase("casado"))
            s += sueldoBase * 0.01;
        return s;
    }
    public String toString() {
	String separador = System.getProperty("line.separator");
        String s = new String ("Nombre: " + nombre + separador +
        "Primer apellido: " + apell1 + separador +
        "Segundo apellido: " + apell2 + separador +
        "Edad: " + edad + separador +
        "N. de hijos: " + hijos + separador +
        "Estado civil: " + estado + separador +
        "Sueldo Base: " + sueldoBase);
	return s;
    }
    public void imprimir(PrintWriter sal) {
        sal.println(this);
    }
    public void imprimir(DataOutputStream sal) throws IOException {
        sal.writeUTF(nombre);
        sal.writeUTF(apell1);
        sal.writeUTF(apell2);
        sal.writeInt(edad);
        sal.writeInt(hijos);
        sal.writeUTF(estado);
        sal.writeDouble(sueldoBase);
    }
    public String getNombre() {
	return nombre;
    }
    public String getPrimerApellido() {
	return apell1;
    }
    public String getSegundoApellido() {
	return apell2;
    }
    public double getSueldoBase() {
	return sueldoBase;
    }
    private void errorFormato() {
        throw new InputMismatchException();
    }
}
